---
title: '<blink>: The Blinking Text element (obsolete)'
slug: Web/HTML/Element/blink
tags:
  - Blink
  - Element
  - HTML
  - Obsolete
  - Reference
  - Web
---
<div>{{HTMLRef}}{{Deprecated_header}} {{obsolete_header}}</div>

<p><span class="seoSummary">The <strong>HTML Blink Element</strong> (<code>&lt;blink&gt;</code>) is a non-standard element which causes the enclosed text to flash slowly.</span></p>

<div class="warning">Do not use this element as it is <strong>obsolete</strong> and is bad design practice. Blinking text is frowned upon by several accessibility standards and the CSS specification allows browsers to ignore the <code>&lt;blink&gt;</code> element.</div>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element is unsupported and thus implements the {{domxref("HTMLUnknownElement")}} interface.</p>

<h2 id="Example">Example</h2>

<pre class="brush:html">&lt;blink&gt;Why would somebody use this?&lt;/blink&gt;
</pre>

<h3 id="Result_toned_down!">Result (toned down!)</h3>

<p><img alt="Image:HTMLBlinkElement.gif" src="/@api/deki/files/247/=HTMLBlinkElement.gif"></p>

<h2 id="Specifications">Specifications</h2>

<p>This element is non-standard and not part of any specification. If you don't believe us,<a href="https://html.spec.whatwg.org/multipage/obsolete.html#non-conforming-features"> see for yourself in the HTML spec</a>.</p>

<h2 id="CSS_polyfill">CSS polyfill</h2>

<p>If you really do need a polyfill, then you can use the following CSS polyfill. Works in IE10+.</p>

<pre class="brush: css">blink {
  -webkit-animation: 2s linear infinite condemned_blink_effect; /* for Safari 4.0 - 8.0 */
  animation: 2s linear infinite condemned_blink_effect;
}

/* for Safari 4.0 - 8.0 */
@-webkit-keyframes condemned_blink_effect {
  0% {
    visibility: hidden;
  }
  50% {
    visibility: hidden;
  }
  100% {
    visibility: visible;
  }
}

@keyframes condemned_blink_effect {
  0% {
    visibility: hidden;
  }
  50% {
    visibility: hidden;
  }
  100% {
    visibility: visible;
  }
}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.blink")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="http://www.montulli.org/theoriginofthe%3Cblink%3Etag">History of the creation of the HTML <code>&lt;blink&gt;</code> element</a>.</li>
 <li>{{cssxref("text-decoration")}}, where a blink value exists, though browsers are not required to effectively make it blink.</li>
 <li>{{htmlelement("marquee")}}, another similar non-standard element.</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" title="/en-US/docs/Web/Guide/CSS/Using_CSS_animations">CSS animations</a> are the way to go to create such an effect.</li>
</ul>
